install service to pkglibexecdir rather than libexecdir

Bug #1050026 reported by Mathieu Trudel-Lapierre on 2012-09-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Application Indicators
New
Medium
Unassigned
The Sync Menu
Fix Released
Medium
Charles Kerr
libunity
Incomplete
Medium
Unassigned
indicator-session (Ubuntu)
Medium
Charles Kerr
indicator-sync (Ubuntu)
Medium
Charles Kerr
libunity (Ubuntu)
Medium
Unassigned

Bug Description

* The service should be installed into $pkglibexecdir instead of $libexecdir (this is an upstream issue, not a debian packaging one)

In other words, rather than /usr/lib/<triplet>, the service binary should be installed to /usr/lib/<triplet>/indicator-sync/.

Related branches

Changed in indicator-sync (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in indicator-sync:
status: New → Triaged
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-sync - 12.10.2-0ubuntu2

---------------
indicator-sync (12.10.2-0ubuntu2) quantal; urgency=low

  * debian/rules: Fix FTBFS on arm: increase dbus-test-runner timeout to 300
    seconds to account for slow builders.
  * debian/rules: replace incorrect dh_girepository call with --with gir.
    (LP: #1050032)
  * debian/copyright: fix copy-paste error in GPL-3 text; should not mention
    "or later".
  * debian/libsync-menu1.symbols: drop #MISSING: entries.
  * debian/patches/install-to-pkglibexecdir.patch: make sure the service gets
    installed to the pkglibexecdir rather than libexecdir. (LP: #1050026)
  * debian/indicator-sync.install: fix install file for the change above.
 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 13 Sep 2012 11:45:59 -0400

Changed in indicator-sync (Ubuntu):
status: Triaged → Fix Released
Charles Kerr (charlesk) wrote :

Background information from IRC:

[15:43:51] <charles> mterry: as an aside, could you clarify what you're looking for in the sync-menu project side of https://bugs.launchpad.net/indicator-sync/+bug/1050026
[15:44:13] <charles> the automake rules in there are the same as in the other indicators, so I'm not sure what you're looking for
[15:44:24] <-- Ursinha` (~ursinha@177.97.248.219) has quit (Ping timeout: 246 seconds)
[15:44:44] <mterry> charles, the other indicators are wrong too
[15:44:45] <charles> (and if it's broken in i-sync, is it broken everywhere else and just worked around in the packaging rules)
[15:45:07] <charles> mterry: could you point to a Makefile.am that does it correctly, so that I can use it as reference?
[15:45:31] <mterry> charles, it's just a matter of changing libexec to pkglibexec
[15:45:45] <mterry> charles, so in the service.in file and in the two Makefile.am's that reference it
[15:46:01] <mterry> charles, the reason this may seem like a new issue is because dh9 changed its default behavior
[15:46:17] <mterry> charles, there is a long-standing bug that debhelper will include the source package name in libexecdir, when it shouldn't
[15:46:40] <mterry> charles, which meant pkglibexecdir always looked like /usr/lib/package/package, which most people thought looked stupid and so didn't use it
[15:46:56] <mterry> charles, but dh compat level 9 fixes that, so upstreams should really use the correct variable
[15:47:29] <mterry> charles, let me dig up a correct Makefile.am just for clarity
[15:47:46] <charles> okay. So I would just replace "libexec_PROGRAMS = indicator-foo-service" with "pkglibexec_PROGRAMS = indicator-foo-service"
[15:47:51] <charles> iiuc
[15:48:13] <mterry> charles, http://bazaar.launchpad.net/~deja-dup-hackers/deja-dup/24/view/head:/data/Makefile.am for example
[15:48:14] <charles> + the service.in
[15:48:17] <mterry> charles, yeah
[15:48:24] <mterry> charles, and the data/Makefile.am
[15:48:28] <mterry> which does the sed
[15:48:44] <mterry> charles, and spread the word to the rest of the indicator team :)
[15:48:47] <charles> gotcha, thanks mterry

Charles Kerr (charlesk) on 2012-09-17
Changed in indicator-sync:
milestone: none → 12.10.3
Charles Kerr (charlesk) on 2012-09-17
Changed in indicator-sync:
status: Triaged → In Progress
Charles Kerr (charlesk) on 2012-09-18
Changed in indicator-sync:
status: In Progress → Fix Committed
Charles Kerr (charlesk) on 2012-09-20
Changed in indicator-sync:
status: Fix Committed → Fix Released
Allan LeSage (allanlesage) wrote :

Discussed at length with charles, believe indicator-application is affected by this reorg.

Allan LeSage (allanlesage) wrote :

Discussed at length with charles, believe indicator-session is affected by the reorg as well.

Allan LeSage (allanlesage) wrote :

Discussed at length with charles; this build failure takes a slightly different form but charles believes it may be related to the above-described reorg.

Allan LeSage (allanlesage) wrote :

Setting these to 'high' because we'd like to get these Jenkins builds going in pbuilder envs.

Changed in indicator-application:
importance: Undecided → High
Changed in indicator-session:
importance: Undecided → High
Changed in libunity:
importance: Undecided → High
Charles Kerr (charlesk) on 2012-11-01
affects: indicator-session → indicator-session (Ubuntu)
Ted Gould (ted) wrote :

Would be nice, but isn't blocking anything.

Changed in indicator-session (Ubuntu):
importance: High → Medium
Changed in libunity:
importance: High → Medium
Changed in indicator-application:
importance: High → Medium
Charles Kerr (charlesk) on 2013-10-15
Changed in indicator-sync:
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-sync (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-session (Ubuntu):
status: New → Fix Released
assignee: nobody → Charles Kerr (charlesk)
Michal Hruby (mhr3) wrote :

Can you please provide more information what's needed for libunity? The library itself it already being installed in the /usr/lib/[arch-triplet].

Changed in libunity:
status: New → Incomplete
Changed in libunity (Ubuntu):
status: New → Incomplete
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers